Skip to main content
PATCH
/
api
/
v1
/
crew
/
experience
/
{experience_id}
Update Experience
curl --request PATCH \
  --url https://api.example.com/api/v1/crew/experience/{experience_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "companyName": "<string>",
  "position": "<string>",
  "shipType": "<string>",
  "startDate": "2023-12-25",
  "endDate": "2023-12-25",
  "notes": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "companyName": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "position": "<string>",
  "shipType": "<string>",
  "startDate": "2023-12-25",
  "endDate": "2023-12-25",
  "notes": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

experience_id
string<uuid>
required

Body

application/json

Partial update — all fields optional.

companyName
string | null
position
string | null
shipType
string | null
startDate
string<date> | null
endDate
string<date> | null
notes
string | null

Response

Successful Response

API response shape (camelCase).

id
string<uuid>
required
companyName
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
position
string | null
shipType
string | null
startDate
string<date> | null
endDate
string<date> | null
notes
string | null